EvolveConfigBeanInfo (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class EvolveConfigBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.sleepycat.util.ConfigBeanInfoBase
              com.sleepycat.persist.evolve.EvolveConfigBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class EvolveConfigBeanInfo

extends ConfigBeanInfoBase

Field Summary

Fields inherited from class com.sleepycat.util.ConfigBeanInfoBase
`getterAndSetterMethods, ignoreMethods, propertiesName`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`EvolveConfigBeanInfo()`

Method Summary
`BeanDescriptor` | `getBeanDescriptor()`
`PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class com.sleepycat.util.ConfigBeanInfoBase
`getBdescriptor, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getPdescriptor, getPropertiesInfo, getPropertyDescriptors`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolveConfigBeanInfo

    public EvolveConfigBeanInfo()

Method Detail

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

  Specified by:
    `getBeanDescriptor` in interface `BeanInfo`
  Overrides:
    `getBeanDescriptor` in class `SimpleBeanInfo`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `SimpleBeanInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.